# Uses of Interface
javax.lang.model.element.ModuleElement.RequiresDirective

Packages that use ModuleElement.RequiresDirective
Package
Description
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of ModuleElement.RequiresDirective in javax.lang.model.element

Methods in javax.lang.model.element with parameters of type ModuleElement.RequiresDirective
Modifier and Type
Method
Description
`R`
ModuleElement.DirectiveVisitor.`visitRequires(ModuleElement.RequiresDirective d, P p)`
Visits a `requires` directive.

## Uses of ModuleElement.RequiresDirective in javax.lang.model.util

Methods in javax.lang.model.util that return types with arguments of type ModuleElement.RequiresDirective
Modifier and Type
Method
Description
`static List<ModuleElement.RequiresDirective>`
ElementFilter.`requiresIn(Iterable<? extends ModuleElement.Directive> directives)`
Returns a list of `requires` directives in `directives`.